Subject: bug#30597: closed (Re: Bug: error messages from gunzip)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Mar 2022 17:53:02 +0000

Your bug report

#30597: Bug: error messages from gunzip

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30597: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30597
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Bug: error messages from gunzip
From: Paul Eggert <[email-masked]>
To: John Docherty <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Mar 2022 10:51:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> When running gunzip /nonexistent/*gz, the error message from gunzip is very misleading: gzip:  /nonexistent/*gz.gz: No such file or directory
> 
> It's misleadng in two ways:
> 
> 1. it refers to gzip, when I was running gunzip

Yes, gunzip merely calls "gzip -d", so the message is coming from from 
gzip which does what it does regardless of who calls it.

> 2. it refers to a file specification that I did not provide, by naively appending .gz to the file spec

Yes, that's what gzip -d does: if you say "gzip -d foo" it wants to 
decompress foo.gz because "foo" doesn't end in ".gz". In your case the 
file name was "/nonexistent/*gz" and since that doesn't end in ".gz" it 
looked for "/nonexistent/*gz.gz" and didn't find it.

> Doubtless you have bigger fish to fry.

Yes, that sounds right. Closing the bug report.

Subject: Bug: error messages from gunzip
From: John Docherty <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 24 Feb 2018 20:39:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using gunzip 1.5 on Amazon Linux 2017.03.

When running gunzip /nonexistent/*gz, the error message from gunzip is very misleading: gzip:  /nonexistent/*gz.gz: No such file or directory

It's misleadng in two ways:

1. it refers to gzip, when I was running gunzip
2. it refers to a file specification that I did not provide, by naively appending .gz to the file spec

Doubtless you have bigger fish to fry.

Thanks,
John